#
# Makefile.dos for UAE for OS/2
# This makefile uses the OpenWatcom compiler!
#


#TARGET    = OS2
#TARGETDEP = t-OS2.h
#GFXOBJS   = sdlgfx.obj
#SOUNDDEP  = sd-sdl
#USE_SOUND = yes
#NEED_THREAD_SUPPORT = yes
#THREADDEP = td-sdl
#OD_JOYSTICK = sdl-joystick.c
#MATHLIB   =



UAEOBJS = main.obj custom.obj memory.obj newcpu.obj filesys.obj writelog.obj &
          sdl-joystick.obj cfgfile.obj bsdsocket.obj scsi-none.obj sdlgfx.obj &
          sound.obj serial.obj zfile.obj expansion.obj nogui.obj autoconf.obj &
          hardfile.obj audio.obj support.obj keybuf.obj gfxlib.obj uaelib.obj &
          native2amiga.obj uaeexe.obj disk.obj debug.obj drawing.obj picasso96.obj &
          blitter.obj cia.obj ersatz.obj fpp.obj cpudefs.obj cpustbl.obj gfxutil.obj &
          blitfunc.obj blittable.obj savestate.obj readcpu.obj cpustbl.obj &
          cpuemu_p1.obj cpuemu_p2.obj cpuemu_p3.obj cpuemu_p4.obj cpuemu_p5.obj &
          cpuemu_p6.obj cpuemu_p7.obj cpuemu_p8.obj fsdb.obj fsusage.obj identify.obj &
          fsdb_os2.obj


CFLAGS    = -zq -bm -bt=OS2 -5 -fpi -sg -otexan -wx -ei -DUSE_SDL -DUAE_CONSOLE -DSUPPORT_THREADS

.before:
	@del uae.lnk
	@set include=.\;.\include;$(%include);$(%sdlhome)\include;

.extensions:
.extensions: .obj .c .h


all: uae.exe genblitter.exe

uae.exe: genblitter.exe build68k.exe cpuopti.exe gencpu.exe $(UAEOBJS) uae.lnk
	wlink @uae.lnk
        
genblitter.exe: genblitter.obj blitops.obj
        wlink NAME genblitter SYSTEM nt F genblitter.obj F blitops.obj OP QUIET

build68k.exe: build68k.obj
        wlink NAME build68k SYSTEM nt F build68k.obj OP QUIET

cpuopti.exe: cpuopti.obj
        wlink NAME cpuopti SYSTEM nt F cpuopti.obj OP QUIET

gencpu.exe: gencpu.obj readcpu.obj cpudefs.obj
        wlink NAME gencpu SYSTEM nt F gencpu.obj F readcpu.obj F cpudefs.obj OP QUIET OP MAP=gencpu.map


.c.obj : .AUTODEPEND
	wcc386 $[* $(cflags)
        
sound.obj : sounddep\sound.c
	wcc386 $[* $(cflags)

support.obj : machdep\support.c
	wcc386 $[* $(cflags)
        
fsdb_os2.obj : osdep\fsdb_os2.c
	wcc386 $[* $(cflags)
        

cpuemu_p1.obj : .AUTODEPEND
	wcc386 cpuemu $(cflags) -DPART_1=1 /fo=cpuemu_p1.obj
        
cpuemu_p2.obj : .AUTODEPEND
        wcc386 cpuemu $(cflags) -DPART_2=1 /fo=cpuemu_p2.obj

cpuemu_p3.obj : .AUTODEPEND
        wcc386 cpuemu $(cflags) -DPART_3=1 /fo=cpuemu_p3.obj

cpuemu_p4.obj : .AUTODEPEND
        wcc386 cpuemu $(cflags) -DPART_4=1 /fo=cpuemu_p4.obj

cpuemu_p5.obj : .AUTODEPEND
        wcc386 cpuemu $(cflags) -DPART_5=1 /fo=cpuemu_p5.obj

cpuemu_p6.obj : .AUTODEPEND
        wcc386 cpuemu $(cflags) -DPART_6=1 /fo=cpuemu_p6.obj

cpuemu_p7.obj : .AUTODEPEND
        wcc386 cpuemu $(cflags) -DPART_7=1 /fo=cpuemu_p7.obj

cpuemu_p8.obj : .AUTODEPEND
        wcc386 cpuemu $(cflags) -DPART_8=1 /fo=cpuemu_p8.obj
                                                       

# Some files which are generated
                                
blit.h: genblitter.exe
	genblitter i >blit.h
blitfunc.c: genblitter.exe blitfunc.h
	genblitter f >blitfunc.c
blitfunc.h: genblitter.exe
	genblitter h >blitfunc.h
blittable.c: genblitter.exe blitfunc.h
	genblitter t >blittable.c

cpudefs.c: build68k.exe table68k
	build68k.exe >cpudefs.c
cpustbl.c: gencpu.exe
	gencpu
cputbl.c: gencpu.exe
	gencpu
cputbl.h: gencpu.exe
	gencpu

uae.lnk:
	@echo Creating linker file (uae.lnk)...
        @echo NAME $^& >$^@
        @echo SYSTEM os2v2_pm >>$^@
        @for %i in ($(UAEOBJS)) do @echo FILE %i >>$^@
        @echo LIB $(%sdlhome)\src\sdl.lib >>$^@
        @echo OP QUIET >>$^@
        @echo Linker file created!

clean:
	del *.obj
        del uae.exe

